<template>
<v-container fluid>
    <div class="d-flex justify-space-between align-center">
        <div class="d-flex align-center">
            <v-img :src="img" max-width="130" />
            <div class="flex-collumn">
                <h1 class="name"><slot name="name"/></h1>
                <p class="views"><slot name="views"/> Views</p>
            </div>
        </div>
        <v-btn outlined color="primary" rounded>Subscribe</v-btn>
    </div>
</v-container>
</template>

<script>
export default {
  name: 'IndexSubscribe',
  props: {
    img: String
  }
}
</script>

<style scoped>
    .name{
        color: #757575 !important;
        font-size: 30px;
        font-weight: 500;
    }
    .views{
        color: #757575 !important;
        font-weight: normal;
    }
</style>
